Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf.draw
Class VerticalPositionMark

    java.lang.Object
      com.lowagie.text.pdf.draw.VerticalPositionMark

All Implemented Interfaces:
  Element, DrawInterface

Direct Known Subclasses:
  LineSeparator

    public class VerticalPositionMark

extends Object
implements DrawInterface, Element

Helper class implementing the DrawInterface. Can be used to add horizontal or vertical separators. Won't draw anything unless you implement the draw method.

Since:
  2.1.2

Field Summary
`protected DrawInterface` | `drawInterface` Another implementation of the DrawInterface; its draw method will overrule LineSeparator.draw().
`protected float` | `offset` The offset for the line.

Fields inherited from interface com.lowagie.text.Element
`ALIGN_BASELINE, ALIGN_BOTTOM, ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_JUSTIFIED_ALL, ALIGN_LEFT, ALIGN_MIDDLE, ALIGN_RIGHT, ALIGN_TOP, ALIGN_UNDEFINED, ANCHOR, ANNOTATION, AUTHOR, CCITT_BLACKIS1, CCITT_ENCODEDBYTEALIGN, CCITT_ENDOFBLOCK, CCITT_ENDOFLINE, CCITTG3_1D, CCITTG3_2D, CCITTG4, CELL, CHAPTER, CHUNK, CREATIONDATE, CREATOR, HEADER, IMGRAW, IMGTEMPLATE, JBIG2, JPEG, JPEG2000, KEYWORDS, LIST, LISTITEM, MARKED, MULTI_COLUMN_TEXT, PARAGRAPH, PHRASE, PRODUCER, PTABLE, RECTANGLE, ROW, SECTION, SUBJECT, TABLE, TITLE, YMARK`

Constructor Summary
`VerticalPositionMark()` Creates a vertical position mark that won't draw anything unless you define a DrawInterface.
`VerticalPositionMark(DrawInterface drawInterface, float offset)` Creates a vertical position mark that won't draw anything unless you define a DrawInterface.

Method Summary
`void` | `draw(PdfContentByte canvas, float llx, float lly, float urx, float ury, float y)` Implement this method if you want to draw something at the current Y position (for instance a line).
`ArrayList` | `getChunks()` Gets all the chunks in this element.
`DrawInterface` | `getDrawInterface()` Getter for the interface with the overruling draw() method.
`float` | `getOffset()` Getter for the offset relative to the baseline of the current line.
`boolean` | `isContent()` Checks if this element is a content object.
`boolean` | `isNestable()` Checks if this element is nestable.
`boolean` | `process(ElementListener listener)` Processes the element by adding it (or the different parts) to an `ElementListener`.
`void` | `setDrawInterface(DrawInterface drawInterface)` Setter for the interface with the overruling draw() method.
`void` | `setOffset(float offset)` Setter for the offset.
`int` | `type()` Gets the type of the text element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.lowagie.text.Element
`toString`

Field Detail

### drawInterface

    protected DrawInterface drawInterface

  Another implementation of the DrawInterface; its draw method will overrule LineSeparator.draw().

### offset

    protected float offset

  The offset for the line.

Constructor Detail

### VerticalPositionMark

    public VerticalPositionMark()

  Creates a vertical position mark that won't draw anything unless you define a DrawInterface.

### VerticalPositionMark

    public VerticalPositionMark(DrawInterface drawInterface,
                                float offset)

  Creates a vertical position mark that won't draw anything unless you define a DrawInterface.

  Parameters:
    `drawInterface` - the drawInterface for this vertical position mark.
    `offset` - the offset for this vertical position mark.

Method Detail

### draw

    public void draw(PdfContentByte canvas,
                     float llx,
                     float lly,
                     float urx,
                     float ury,
                     float y)

  Description copied from interface: `DrawInterface`
  Implement this method if you want to draw something at the current Y position (for instance a line).

  Specified by:
    `draw` in interface `DrawInterface`
  Parameters:
    `canvas` - the canvas on which you can draw
    `llx` - the x coordinate of the left page margin
    `lly` - the y coordinate of the bottom page margin
    `urx` - the x coordinate of the right page margin
    `ury` - the y coordinate of the top page margin
    `y` - the current y position on the page
  See Also:
    `DrawInterface.draw(com.lowagie.text.pdf.PdfContentByte, float, float, float, float, float)`

### process

    public boolean process(ElementListener listener)

  Description copied from interface: `Element`
  Processes the element by adding it (or the different parts) to an `ElementListener`.

  Specified by:
    `process` in interface `Element`
  Parameters:
    `listener` - an `ElementListener`
  Returns:
    `true` if the element was processed successfully
  See Also:
    `Element.process(com.lowagie.text.ElementListener)`

### type

    public int type()

  Description copied from interface: `Element`
  Gets the type of the text element.

  Specified by:
    `type` in interface `Element`
  Returns:
    a type
  See Also:
    `Element.type()`

### isContent

    public boolean isContent()

  Description copied from interface: `Element`
  Checks if this element is a content object. If not, it's a metadata object.

  Specified by:
    `isContent` in interface `Element`
  Returns:
    true if this is a 'content' element; false if this is a 'metadata' element
  See Also:
    `Element.isContent()`

### isNestable

    public boolean isNestable()

  Description copied from interface: `Element`
  Checks if this element is nestable.

  Specified by:
    `isNestable` in interface `Element`
  Returns:
    true if this element can be nested inside other elements.
  See Also:
    `Element.isNestable()`

### getChunks

    public ArrayList getChunks()

  Description copied from interface: `Element`
  Gets all the chunks in this element.

  Specified by:
    `getChunks` in interface `Element`
  Returns:
    an `ArrayList`
  See Also:
    `Element.getChunks()`

### getDrawInterface

    public DrawInterface getDrawInterface()

  Getter for the interface with the overruling draw() method.

  Returns:
    a DrawInterface implementation

### setDrawInterface

    public void setDrawInterface(DrawInterface drawInterface)

  Setter for the interface with the overruling draw() method.

  Parameters:
    `drawInterface` - a DrawInterface implementation

### getOffset

    public float getOffset()

  Getter for the offset relative to the baseline of the current line.

  Returns:
    an offset

### setOffset

    public void setOffset(float offset)

  Setter for the offset. The offset is relative to the current Y position. If you want to underline something, you have to choose a negative offset.

  Parameters:
    `offset` - an offset

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD